AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SignUpComponentCore
  - SignUpComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- _signUpConfig
- amplifyService
- countries
- country_code
- defaultSignUpFields
- errorMessage
- header
- hiddenFields
- local_phone_number
- logger
- passwordPolicy
- signUpFields
- user

### Accessors

- authState
- data
- signUpConfig

### Methods

- _setError
- needPrefix
- ngOnInit
- onAlertClose
- onConfirmSignUp
- onSignIn
- onSignUp
- removeHiddenFields
- sortFields
- validate

## Constructors

### constructor

- new SignUpComponentCore(amplifyService: AmplifyService): SignUpComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:129

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns SignUpComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:116

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:117

### _signUpConfig

_signUpConfig: any

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:118

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:131

### countries

countries: any[]

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:122

### country_code

country_code: string = "1"

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:121

### defaultSignUpFields

defaultSignUpFields: SignUpField[] = defaultSignUpFieldAssets

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:124

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:126

### header

header: string = "Create a new account"

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:123

### hiddenFields

hiddenFields: any = []

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:127

### local_phone_number

local_phone_number: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:120

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:129

### passwordPolicy

passwordPolicy: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:128

### signUpFields

signUpFields: SignUpField[] = this.defaultSignUpFields

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:125

### user

user: any

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:119

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:161

### data

data:

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:137

### signUpConfig

signUpConfig:

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:167

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:353

  #### Parameters

  - ##### err: any

  #### Returns void

### needPrefix

- needPrefix(key: any): any

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:244

  #### Parameters

  - ##### key: any

  #### Returns any

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:188

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:321

  #### Returns void

### onConfirmSignUp

- onConfirmSignUp(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:254

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:239

  #### Returns void

### onSignUp

- onSignUp(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:195

  #### Returns void

### removeHiddenFields

- removeHiddenFields(): SignUpField[]

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:325

  #### Returns SignUpField[]

### sortFields

- sortFields(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:260

  #### Returns void

### validate

- validate(): any[]

- - Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:331

  #### Returns any[]